
From: David Mosberger <davidm@napali.hpl.hp.com>

The patch below is needed to make it possible to map stack pages
without execution permission (as we do on ia64).



 25-akpm/fs/exec.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/exec.c~stack-protection-fix fs/exec.c
--- 25/fs/exec.c~stack-protection-fix	Wed Apr  9 17:23:39 2003
+++ 25-akpm/fs/exec.c	Wed Apr  9 17:23:39 2003
@@ -406,7 +406,7 @@ int setup_arg_pages(struct linux_binprm 
 		mpnt->vm_start = PAGE_MASK & (unsigned long) bprm->p;
 		mpnt->vm_end = STACK_TOP;
 #endif
-		mpnt->vm_page_prot = PAGE_COPY;
+		mpnt->vm_page_prot = protection_map[VM_STACK_FLAGS & 0x7];
 		mpnt->vm_flags = VM_STACK_FLAGS;
 		mpnt->vm_ops = NULL;
 		mpnt->vm_pgoff = 0;

_
